package com.realnet.basicp1.Services;
import com.realnet.basicp1.Repository.TestssRepository;
import com.realnet.basicp1.Entity.Testss
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;










	import org.springframework.stereotype.Service;

@Service
 public class TestssService {
@Autowired
private TestssRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;









public Testss Savedata(Testss data) {










	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Testss save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Testss> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Testss> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Testss> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Testss getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Testss update(Testss data,Integer id) {
	Testss old = Repository.findById(id).get();
old.setName(data.getName());


 
old.setBar_code(data.getBar_code());
 

 
old.setQr_code(data.getQr_code());
 

  

old.setChild(data.getChild());





final Testss test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 










 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
